<?php

	session_start();	


	/* Now including common configuration files */
	if (!file_exists("include/db.php") || !file_exists("include/functions.php"))
		exit("Essential files are missing");

	/* Database connection */
	require_once("include/db.php");
		
			
	/* Customized functions */
	require_once("include/functions.php");
	

	/* Languages support */
	$defaultLanguage = 1;	
	
	if (empty($_SESSION['lang']))
		$_SESSION['lang'] = $defaultLanguage;

	$data = sql_fetch_row(sql_query("SELECT charset,language FROM {$database}.{$lt} WHERE id=".$_SESSION['lang']));

	if (!file_exists("lang/".$data['language'].".php"))
		exit("Missing language lib for ".$data['language']);
		
	include("lang/".$data['language'].".php");
	
	$charset = $data['charset'];	

	/* Keyboard compatibility */	
	sql_query("SET character_set_client = '$charset'");
	
?>
